# Uses of Interface
org.apache.velocity.util.introspection.Uberspect

Packages that use Uberspect
Package
Description
org.apache.velocity.runtime
org.apache.velocity.util.introspection

## Uses of Uberspect in org.apache.velocity.runtime

Methods in org.apache.velocity.runtime that return Uberspect
Modifier and Type
Method
Description
`Uberspect`
RuntimeInstance.`getUberspect()`
Returns the Uberspect object for this Instance.
`Uberspect`
RuntimeServices.`getUberspect()`
Returns the configured class introspection/reflection implementation.
`static Uberspect`
RuntimeSingleton.`getUberspect()`
Returns the Uberspect object for this Instance.

## Uses of Uberspect in org.apache.velocity.util.introspection

Subinterfaces of Uberspect in org.apache.velocity.util.introspection
Modifier and Type
Interface
Description
`interface`
`ChainableUberspector`
Interface that marks uberspectors as chainable, meaning that multiple uberspectors can be combined in a chain (using the Decorator pattern).
Classes in org.apache.velocity.util.introspection that implement Uberspect
Modifier and Type
Class
Description
`class`
`AbstractChainableUberspector`
Default implementation of a `chainable uberspector` that forwards all calls to the wrapped uberspector (when that is possible).
`class`
`DeprecatedCheckUberspector`
Chainable Uberspector that checks for deprecated method calls.
`class`
`LinkingUberspector`
When the introspector.uberspect.class configuration property contains several uberspector class names, it means those uberspectors will be chained.
`class`
`SecureUberspector`
Use a custom introspector that prevents classloader related method calls.
`class`
`UberspectImpl`
Implementation of Uberspect to provide the default introspective functionality of Velocity
`class`
`UberspectPublicFields`
Implementation of Uberspect to additionally provide access to public fields.
Fields in org.apache.velocity.util.introspection declared as Uberspect
Modifier and Type
Field
Description
`protected Uberspect`
AbstractChainableUberspector.`inner`
The wrapped (decorated) uberspector.
Methods in org.apache.velocity.util.introspection with parameters of type Uberspect
Modifier and Type
Method
Description
`void`
AbstractChainableUberspector.`wrap(Uberspect inner)`
Specify the decorated Uberspector
`void`
ChainableUberspector.`wrap(Uberspect inner)`
Specify the decorated Uberspector
Constructors in org.apache.velocity.util.introspection with parameters of type Uberspect
Modifier
Constructor
Description
``
`LinkingUberspector(Uberspect left, Uberspect right)`
Constructor that takes the two uberspectors to link